File Manager X-File

Windows File Manager X-File 3.7

X-File is a file manager for fast and powerful file managing. Almost all function has its keyboard shortcut. So you can work too fast.
X-File has many useful interfaces and functions Windows Explorer doesn't have as a expert file manager.
manage Archive(ZIP,ARJ,RAR,ACE) file, Advanced renaming tool, manage description, Join files, and so on.

Complete English version Help file is not supported yet. You can see only Keyboard Shorut and something.

This software is a freeware

Last modified : 11. 30. 2000

Copyright by 2000 by JungHoon No (xiles)


Shortcut

File Window ........................................................................
Alt + 1~6, 0 Alt + B Alt + C (Ins) Alt + D (Del) Alt + G Alt + K Alt + L Alt + M Alt + R Alt + U Alt + V Alt + X Alt + Z Alt + Enter Alt + F1, F2, F3 Alt + Left Alt + Right | Set Column ( 0 : Auto ) Edit Text Copy File/Folder Delete File/Folder (Recycle Bin) Go Folder New Foder Show Long Filename Move File/Folder Rename File/Folder Select All (Exclude Folders) View Text Exit X-File Show Hidden Files Edit Description Go WorkFolder Back Foward
Ctrl+ 1, 2, 3 Ctrl+ A Ctrl+ B Ctrl+ C Ctrl+ D Ctrl+ E Ctrl+ F Ctrl+ K Ctrl+ L Ctrl+ M Ctrl+ N Ctrl+ P Ctrl+ R Ctrl+ S Ctrl+ T Ctrl+ V Ctrl+ W Ctrl+ X Ctrl+ Z Ctrl+ Enter Ctrl+ PageUp Ctrl+ PageDown Ctrl+ Home Ctrl+ End Ctrl+ F12 Ctrl+ F1~F11 Ctrl+ Backspace Ctrl+ Alt+ E Ctrl+ Alt+ J Ctrl+ Alt+ N Ctrl+ Alt+ O Ctrl+ Alt+ S Ctrl+ Alt+ T | Set WorkFolder Archive(Add) Open Recycle Bin Copy to Clipboard Open Desktop Folder Extract (Option) Filtering Create Shortcut to Desktop Find Next (Quick Search) Archive(Move) Create New File (size 0 file) Open Temp Folder Refresh Open StartMenu Folder Cut to Clipboard (Option) Paste from Clipboard Open My Documents Folder Cut to Clipboard or Extract (Option) Change Attributes/Time Run with Parameters Move Cursor to First Folder Move Cursor to Last Folder Move Cursor to First File Move Cursor to Last File Preferences Function Key Open Last Destination Folder Sort by Extension Join Files Sort by Name No Sort Sort by Size Sort by Time
Alphabet Shift+ Alphabet F1 F2~F8 F9 F10 F11 F12 Sacebar Enter . \ / + (Numpad) - (Numpad) * (Numpad) [ ] | Quick Search Move to 'Alphabet' Drive Help Function Key Show Properties Folder Tree Favorites PullDown Main Menu De/select File/Folder Run(Open) Up Top(Root) Command Line Select Group Deselect Group Invert Selection Move Cursor to First Drive Move Cursor to Last Drive
F2~F8 Ctrl+ F1~F11 Shift+ F1~F10 | Function Key Function Key Open Favorites Folder (by Favorites Menu order)
Ctrl + Click Shift + Click Right Click + Left Click | De/select File/Folder Select from current to clicked item Explorer Context(Popup) Menu
Folder Tree ........................................................................
Alt + D (F8) Alt + F (F5) Alt + K (F7) Alt + R (F6) Alt + S (F2) Ctrl + L F3 F9 F11 Alphabet Shift+ Alphabet | Delete Full Refresh New Folder Rename Part Refresh Find Next Change Drive Show Properties Favorites Quick Search Move to 'Alphabet' Drive


Tips

Popup Explorer Menu Directly.........................

First push down right mouse button, then click left mouse button. You can directly popup explorer menu.

Favorites.........................

If you use '&' in menu name, you can use favorites more effectively.

ex) Menu name for favorites : &Download

If you assign menu name for favorites like above, you can use this item just push F11(Favorites shortcut) then push 'D' key on keyboard. 'D' is used for accelerators in Favorites menu.

Select Drive............................

You can directly select drive just by push down drive letter on keyboard. For example, if you want to select 'D' drive, you can just push down 'D' key on keyboard. For selecting work folder, just push down WorkFolder number. For selecting Network, you can push down '/' key.

Folder Tree..........................

If you use arrow key for moving cursor in tree with 'Shift' key, cursor movement restricted in childrens of its parent folder.

Quick Search (File/Folder Window).................................

In both File List and Folder Tree window, if you want to move cursor to specified file/folder, you can type the name of that file/folder for moving.
And you can use 'Find Next'(Ctrl+L) function for moving cursor to next file/folder matched with currently typed Quick Search Text (you can see this on upper-right area)

Work Folder

If you set WorkFolder, that workfolder can be selected in Drive selection window directly not in Folder Tree Window. you can access this folder fast for destination path, when you have many copy/move... operations.


Rename

Rename selected files/folders.

Advanced

Head/Tail

Add Head/Tail text to filename. (Except extension)

Ex) Head
Input : [HEAD]
Result : ABCD.EFG => [HEAD]ABCD.EFG

Ex) Tail
Input : [TAIL]
Result : ABCD.EFG => ABCD[TAIL].EFG

Count - Add ordered number to file name (Begin from 1 and increased by 1, order is a selected order)

Ex) Head with Count
Input : 3
Result :
ABCD.EFG => 001ABCD.EFG
HIJK.LMN => 002HIJK.LMN
OPQR.STU => 003OPQR.STU
...
FILE.EXT => 124FILE.EXT
...

Input : 0
Result :
ABCD.EFG => 1ABCD.EFT
...
HIJK.LMN => 10HIJK.LMN
...
OPQR.STR => 100OPQR.STR
...

Change Extension

Change all selected file's extension to input text.

Cut

Cut file/folder name.(Except extension)

-Number : Cut 'Number' letters from first letter
Ex)
Input : -3
Result : ABCDEFG.EXT => DEFG.EXT

Number1-Number2 : Cut from 'Number1'th letter to 'Number2'th letter
Ex)
Input : 2-4
Result : ABCDEFG.EXT => AFG.EXT

Number- : Cut from 'Number'th letter to last
Ex)
Input : 4-
Result : ABCDEFG.EXT => ABC.EXT

Number~ : Cut 'Number' letters from last
Ex)
Input : 3~
Result : ABCDEFG.EXT => ABCD.EXT


Programmer

 |  | Name | JungHoon No (xiles)
 |  | Position | Korea University (major in Statistics) student
 |  | Email | xiles@shinbiro.com
 |  | Homepage | http://xiles.kucc.net
¢º Using Tool | C++ Builder
¢º Using Tool for Help | Dreamweaver, MS HTML Help Workshop


속성/시간 바꾸기

속성/시간 바꾸기 ( Ctrl + Z)

선택된 파일/폴더의 속성/시간을 바꿉니다. 선택된 파일/폴더가 없을 경우에는 현재 커서 위치의 파일/폴더의 속성/시간을 바꿉니다.

설명

날짜/시간 의 '적용' 에 체크 표시를 할 경우 파일/폴더의 '날짜/시간'을 수정하며, 속성은 영향을 받지 않습니다.

'모두' 버튼을 누를 경우 현재 설정 상태로 현재 파일 이후의 모든 파일의 '속성' 또는 '날짜/시간'을 같게 바꿉니다. 여러 파일의 속성/시간을 바꾸고 있을 경우 중간 쯤에서 '모두' 를 선택하면, 앞의 파일/폴더에 대해서는 영향을 미치지 않습니다. (단축키 - End )